

#include <windows.h>
#include <atlbase.h>
#include <atlapp.h>

CAppModule _Module;

#include "mainwnd.h"

int APIENTRY WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, 
                                           int nCmdShow)
{
  CMessageLoop theLoop;
  MainWnd mainwnd;

  _Module.Init(NULL, hInstance);
  _Module.AddMessageLoop(&theLoop);

  mainwnd.Create(NULL,CWindow::rcDefault,_T("Main Window"),
                                WS_OVERLAPPEDWINDOW);
  mainwnd.ShowWindow(nCmdShow);
  mainwnd.UpdateWindow();

  int nRet = theLoop.Run();

  _Module.RemoveMessageLoop();
  _Module.Term();

  return nRet;
}
